---
title: Delete a registry from the account
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Containers](https://developers.cloudflare.com/api/python/resources/containers)

[Registries](https://developers.cloudflare.com/api/python/resources/containers/subresources/registries)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete a registry from the account

containers.registries.delete(strdomain, RegistryDeleteParams\*\*kwargs) -> [RegistryDeleteResponse](<https://developers.cloudflare.com/api/python/resources/containers#(resource)%20containers.registries%20%3E%20(model)%20registry_delete_response%20%3E%20(schema)>)

DELETE/accounts/{account\_id}/containers/registries/{domain}

Delete a registry from the account, this will prevent Containers from pulling images from the registry.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Workers Containers Write`

##### ParametersExpand Collapse

account\_id: str

[Link to this property](<#(resource)%20containers.registries%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

domain: str

The domain to delete.

[Link to this property](<#(resource)%20containers.registries%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20domain%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class RegistryDeleteResponse: …

Result of deleting an image registry from a Containers account.

</summary>

domain: str

A string representation of a domain name. See RFC-1034 (<a href="https://www.ietf.org/rfc/rfc1034.txt">https://www.ietf.org/rfc/rfc1034.txt</a>). Consider that the limit of a domain name is min 3 and max 253 ASCII characters.

<a href="#(resource)%20containers.registries%20%3E%20(model)%20registry_delete_response%20%3E%20(schema)%20%3E%20(property)%20domain">Link to this property</a>

</details>

[Link to this property](<#(resource)%20containers.registries%20%3E%20(model)%20registry_delete_response%20%3E%20(schema)>)

### Delete a registry from the account

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
registry = client.containers.registries.delete(
    domain="domain",
    account_id="account-123",
)
print(registry.domain)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "domain": "docker.io"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "domain": "docker.io"
  },
  "success": true
}
```